#
# spec file for package psi+-iconsets
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define version_unconverted 20160408

Name:           psi+-iconsets
Url:            http://code.google.com/p/psi-dev/
Version:        20160408
Release:        1.1
Summary:        Icons for Psi
License:        GPL-2.0 and CC-BY-ND-3.0
Group:          Productivity/Networking/Talk/Clients
# only for psi+ with icons from upstream (otherwise some will be missing)
Requires:       psi+ >= 20160408
Source0:        psi-plus-main-%{version}.tar.xz
Source1:        psi-plus-resources-1.tar.xz
BuildArch:      noarch
BuildRequires:  fdupes
BuildRequires:  xz

%define iconspath %{_datadir}/psi-plus/iconsets

%prep
%setup -q -n psi-plus-main-%{version} -b 1

%build

%install
install -d -m 0755 %{buildroot}/%{iconspath}

for DIR in clients/default; do
	DEST="%{buildroot}/%{iconspath}/$DIR/"
	install -d -m 0755 "$DEST"
	install -m 0644 -t "$DEST" iconsets/"$DIR"/icondef.xml
	install -m 0644 -t "$DEST" iconsets/"$DIR"/*.png
done

install -m 0644 -t "%{buildroot}/%{iconspath}/clients/default/" 'iconsets/clients/default/FP_Freeware License.txt'

for DIR in activities affiliations clients emoticons moods roster system; do
	DEST="%{buildroot}/%{iconspath}/$DIR/"
	install -d -m 0755 "$DEST"
	install -m 0644 -t "$DEST" ../psi-plus-resources-1/iconsets/"$DIR"/*.jisp
done

%fdupes $RPM_BUILD_ROOT/%{iconspath}

%description
Some additional icons for Psi - emoticons.

%files
%defattr(-,root,root)
%dir %{_datadir}/psi-plus
%dir %{iconspath}
%dir %{iconspath}/activities
%dir %{iconspath}/affiliations
%dir %{iconspath}/clients
%dir %{iconspath}/clients/default
%dir %{iconspath}/emoticons
%dir %{iconspath}/moods
%dir %{iconspath}/roster
%dir %{iconspath}/system
%{iconspath}/activities/*.jisp
%{iconspath}/affiliations/*.jisp
%{iconspath}/clients/*.jisp
%{iconspath}/emoticons/*.jisp
%{iconspath}/moods/*.jisp
%{iconspath}/roster/*.jisp
%{iconspath}/system/*.jisp
%{iconspath}/clients/default/icondef.xml
%{iconspath}/clients/default/FP_Freeware?License.txt
%{iconspath}/clients/default/*.png

%changelog
* Sat Apr 23 2016 jslaby@suse.cz
- update to 20160408
  * some icons were pushed to upstream, so we need to carry less of
    them
- _service: put only iconsets into tarballs
* Wed Mar  9 2016 jslaby@suse.cz
- update to 20160309
  * resources were refreshed
* Mon Nov 10 2014 jslaby@suse.cz
- update to 20141106
  * resources were refreshed
- rename service to _service
  * pmbs is new enough, so supports "localonly" mode
- fix license string to conform checker
* Wed Jan  9 2013 jslaby@suse.com
- split the packages
- iconsets now contains non-free icons
